# Generated by Django 4.0.6 on 2024-01-29 22:32

from django.db import migrations
from jsonschema import Draft202012Validator
from django.conf import settings


def populate_observations_sat_id(apps, schema_editor):
    Observation = apps.get_model('base', 'Observation')
    if not settings.IGNORE_MIGRATION:
        observations = Observation.objects.filter(satellite__isnull=False)
        for observation in observations:
            observation.sat_id = observation.satellite.sat_id or ''
            observation.save()

def reverse_populate_observations_sat_id(apps, schema_editor):
    Observation = apps.get_model('base', 'Observation')
    Observation.objects.update(sat_id='')


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0118_observation_sat_id'),
    ]

    operations = [
        migrations.RunPython(populate_observations_sat_id, reverse_populate_observations_sat_id),
    ]
